Skip to main content
POST
/
action
/
company_research_v2_answer_question
[CR9] Answer Custom Question
curl --request POST \
  --url https://api-lr.agent.ai/v1/action/company_research_v2_answer_question \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "company_id": "<string>",
  "question": "<string>",
  "output_variable_name": "question_answer",
  "use_live_data": true
}
'
{
  "status": 123,
  "response": {}
}

Authorizations

Authorization
string
header
required

Bearer token from your account (https://agent.ai/user/integrations#api)

Body

application/json
company_id
string
required

ID of the company to research.

question
string
required

Your research question (e.g., 'What is their pricing model?').

output_variable_name
string
default:question_answer
required

Variable name for the answer. Access answer with {{question_answer.answer}}.

Pattern: ^[a-zA-Z][a-zA-Z0-9_]*$
use_live_data
boolean
default:true

Include web search for more current information.

Response

Successful response

status
integer<int32>

HTTP status code of the action response

response
object

Response data from the action